Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 162405 - CAN-2004-2154 <Location ...> directive is case-sensitive in cupsd.conf but should not
Summary: CAN-2004-2154 <Location ...> directive is case-sensitive in cupsd.conf but sh...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: cups
Version: 3.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tim Waugh
QA Contact:
URL:
Whiteboard: public=20040505,impact=moderate,repor...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-07-04 07:41 UTC by Alessandro Crespi
Modified: 2007-11-30 22:07 UTC (History)
1 user (show)

Fixed In Version: RHSA-2005-571
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-07-14 17:48:50 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2005:571 normal SHIPPED_LIVE Moderate: cups security update 2005-07-14 04:00:00 UTC

Description Alessandro Crespi 2005-07-04 07:41:39 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7.8) Gecko/20050511 Firefox/1.0.4

Description of problem:
The Location directives in cupsd.conf are case sensitive, so if I define an ACL for a print queue named "printer", it is not applied if I print to "Printer" or "prinTer". It is clearly not possible to enter ACLs for all possible cases (for "Printer" it would mean 128 possibilities...).

This issue is documented and has already been fixed in CUPS 1.1.21rc1 (see http://www.cups.org/str.php?L700).


Version-Release number of selected component (if applicable):
cups-1.1.17-13.3.27

How reproducible:
Always

Steps to Reproduce:
Add an ACL for a printer, for example:

<Location /printers/printer>
.....
</Location>

Then print to it by using a different case for the name (e.g. Printer).

Actual Results:  You can print circumvent the ACL.

Expected Results:  The Location directive must be treated in a case-insensitive way, as print queue names are.

Additional info:

Comment 1 Tim Waugh 2005-07-04 11:40:55 UTC
Thank you for reporting this.

Red Hat Enterprise Linux 3: vulnerable
Red Hat Enterprise Linux 4: not affected


Comment 7 Red Hat Bugzilla 2005-07-14 17:48:50 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-571.html



Note You need to log in before you can comment on or make changes to this bug.